Bug 89890 - DOCX:bullets picture is big
Summary: DOCX:bullets picture is big
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.1.0 target:5.0.0.2 target:4.4.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-03-08 18:03 UTC by raal
Modified: 2016-10-25 19:20 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
test file (46.96 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-03-08 18:03 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2015-03-08 18:03:19 UTC
Created attachment 113981 [details]
test file

Tested with 
Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

Version: 4.5.0.0.alpha0+
Build ID: 2c0e1917c18711d6762e12042794b745f08cf62f
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-03-05_17:29:19

Steps to reproduce.
 - open attached file in writer and word and compare

Actual results
 bullets picture is big

Expected results
 as in word. See attachment - in the attachment is printscreen.


When I save the file in word2010 as .doc, then in writer it's correct.
Comment 1 Buovjaga 2015-03-18 17:33:50 UTC
Confirmed with attachment 113981 [details].

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI

Ubuntu 14.10 64-bit 
Version: 4.4.1.2
Build ID: 40m0(Build:2)
Locale: en_US

Version: 4.2.0.4
Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71
Comment 2 Matthew Francis 2015-03-20 06:27:04 UTC
Let's call this a regression, as the new behaviour is worse in this case than the original solution of just ignoring the custom bullet images.

Bibisect results from 43all:

3142334d94a2c49f484453556493532e4a994002 is the first bad commit
commit 3142334d94a2c49f484453556493532e4a994002
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Wed Oct 16 21:58:31 2013 +0000

    source-hash-0644a20605965b36fcc983e4c1158820fd858726


It seems pretty clear that this ought to be the below commit.
Adding Cc: to vmiklos@collabora.co.uk; Any chance you could take a look at this? Thanks

commit b8764dd6e13d3a11fdce23fe1098f19b6c7ecdb8
Author: Miklos Vajna <vmiklos@suse.cz>
Date:   Thu Apr 4 18:01:40 2013 +0200

    DOCX import of w:numPicBullet
    
    Change-Id: Ifc827d5180ce1dc0e3db095c2b92023f4c2d72ec
Comment 3 Commit Notification 2015-06-26 07:49:03 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eab89b7f024a8c86decdcb3362c40c40a7df37df

tdf#89890 DOCX import: fix too large num pic bullet

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-06-27 01:09:51 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6cef4a01e0ef59cd025cf3ee3e5d93eb0a89dda1&h=libreoffice-5-0

tdf#89890 DOCX import: fix too large num pic bullet

It will be available in 5.0.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 raal 2015-06-27 07:20:37 UTC
works ok in Version: 5.1.0.0.alpha1+
Build ID: 7790b6a4544cf2d5ba0bcdfae31346cf2f9a0041
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-06-26_23:51:00

Thank you for the fix!
Please could you create patch also for 4.4? It's regression.
Comment 6 Miklos Vajna 2015-07-08 06:12:25 UTC
Yes, will do.
Comment 7 Commit Notification 2015-07-08 10:46:14 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e3d78d605905ef23b15002a29f0f3a6de5cc12ac&h=libreoffice-4-4

tdf#89890 DOCX import: fix too large num pic bullet

It will be available in 4.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Robinson Tryon (qubit) 2015-12-17 08:48:09 UTC Comment hidden (obsolete)